#include <SPI.h>        
#include <Ethernet.h>
#include <EthernetUdp.h>

byte mac[] = { 
  0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
IPAddress ip(192, 168, 1, 177);

unsigned int localPort = 8888; // helyi port az UDP-nek

EthernetUDP Udp; // UDP példányosítás

char packetBuffer[UDP_TX_PACKET_MAX_SIZE]; // átmeneti tároló

void setup() {
  // ethernet és UDP indítása
  Ethernet.begin(mac,ip);
  Udp.begin(localPort);
}

void loop() {

  // lekérjük az elérhető datagram méretét
  int packetSize = Udp.parsePacket();
  if(packetSize) // ha nem 0
  {
    Serial.print("Received packet of size ");
    Serial.println(packetSize);
    Serial.print("From ");
    // lekérjük a távoli kapcsolat IP-címét
    IPAddress remote = Udp.remoteIP();
    for (int i =0; i < 4; i++) // 4 bájtból áll
    {
      //kinyomtatjuk bájtonként decimálisan      
      Serial.print(remote[i], DEC);
      if (i < 3)
      {
        //pontokkal elválasztva
        Serial.print(".");
      }
    }
    Serial.print(", port ");
    // lekérjük a távoli kapcsolat portjának számát
    Serial.println(Udp.remotePort());

    // beolvassuk a datagrammot az átmeneti tárolóba
    Udp.read(packetBuffer,UDP_TX_PACKET_MAX_SIZE);
    Serial.println("Contents:");
    // kiírjuk soros terminálra a tároló tartalmát
    Serial.println(packetBuffer);
  }
}


